using JewelryStoreContracts.BindingModels;
using JewelryStoreContracts.SearchModels;
using JewelryStoreContracts.ViewModels;

namespace JewelryStoreContracts.BusinessLogicsContracts
{
    public interface IJewelLogic
    {
        List<JewelViewModel>? ReadList(JewelSearchModel? model);
        JewelViewModel? ReadElement(JewelSearchModel model);
        bool Create(JewelBindingModel model);
        bool Update(JewelBindingModel model);
        bool Delete(JewelBindingModel model);
    }
}